Package be.fgov.ehealth.hubservices.core.v2

# Class GetTherapeuticLinkSelectType

java.lang.Object
be.fgov.ehealth.hubservices.core.v2.GetTherapeuticLinkSelectType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:12:47+02:00", comments="JAXB RI v4.0.5") public class GetTherapeuticLinkSelectType extends Object implements Serializable

Java class for GetTherapeuticLinkSelectType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="GetTherapeuticLinkSelectType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <choice maxOccurs="2">
               <element name="patient" type="{http://www.ehealth.fgov.be/hubservices/core/v2}PatientIdType" minOccurs="0"/>
               <element name="hcparty" type="{http://www.ehealth.fgov.be/hubservices/core/v2}HCPartyIdType" maxOccurs="unbounded" minOccurs="0"/>
             </choice>
             <element name="cd" type="{http://www.ehealth.fgov.be/standards/kmehr/cd/v1}CD-THERAPEUTICLINK" maxOccurs="unbounded" minOccurs="0"/>
             <element name="begindate" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
             <element name="enddate" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
             <element name="therapeuticlinkstatus" minOccurs="0">
               <simpleType>
                 <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                   <enumeration value="active"/>
                   <enumeration value="inactive"/>
                   <enumeration value="all"/>
                 </restriction>
               </simpleType>
             </element>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GetTherapeuticLinkSelectType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Instant`
  `getBegindate()`
  begin of the selected time period
  `List<CDTHERAPEUTICLINK>`
  `getCds()`
  Gets the value of the cds property.
  `Instant`
  `getEnddate()`
  end of the selected time period
  `List<Serializable>`
  `getPatientsAndHcparties()`
  Gets the value of the patientsAndHcparties property.
  `String`
  `getTherapeuticlinkstatus()`
  New implem coming from MH, representing the status of the TL selected: active, inactive (revoked) or all.
  `void`
  `setBegindate(Instant value)`
  Sets the value of the begindate property.
  `void`
  `setEnddate(Instant value)`
  Sets the value of the enddate property.
  `void`
  `setTherapeuticlinkstatus(String value)`
  Sets the value of the therapeuticlinkstatus property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### GetTherapeuticLinkSelectType

    public GetTherapeuticLinkSelectType()

- ## Method Details

  - ### getPatientsAndHcparties

    public List<Serializable> getPatientsAndHcparties()
    Gets the value of the patientsAndHcparties property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the patientsAndHcparties property.

    For example, to add a new item, do as follows:

         getPatientsAndHcparties().add(newItem);

    Objects of the following type(s) are allowed in the list `HCPartyIdType` `PatientIdType`

    Returns:
      The value of the patientsAndHcparties property.

  - ### getCds

    public List<CDTHERAPEUTICLINK> getCds()
    Gets the value of the cds property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the cds property.

    For example, to add a new item, do as follows:

         getCds().add(newItem);

    Objects of the following type(s) are allowed in the list `CDTHERAPEUTICLINK`

    Returns:
      The value of the cds property.

  - ### getBegindate

    public Instant getBegindate()
    begin of the selected time period
    Returns:
      possible object is `String`

  - ### setBegindate

    public void setBegindate(Instant value)
    Sets the value of the begindate property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getBegindate()`

  - ### getEnddate

    public Instant getEnddate()
    end of the selected time period
    Returns:
      possible object is `String`

  - ### setEnddate

    public void setEnddate(Instant value)
    Sets the value of the enddate property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getEnddate()`

  - ### getTherapeuticlinkstatus

    public String getTherapeuticlinkstatus()
    New implem coming from MH, representing the status of the TL selected: active, inactive (revoked) or all. The default value is 'active' with or without the tag. Optional to be backward compatible w/ hub services
    Returns:
      possible object is `String`

  - ### setTherapeuticlinkstatus

    public void setTherapeuticlinkstatus(String value)
    Sets the value of the therapeuticlinkstatus property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getTherapeuticlinkstatus()`